Subject: Re: CI fail: "invalid object type" only on dockerized linux32 runs?

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Wed, 26 May 2021 13:53:11 +0200

On Wed, May 26 2021, Junio C Hamano wrote:

> https://github.com/git/git/runs/2669078911?check_suite_focus=true#step:6:3195
>
> shows a test that expects "git cat-file: could not get object_info"
> gets "invalid object type".  What is curious is that most of the
> other workflow runs do not get this error.  Only on the 32-bit run.
>
> Rings any bell?

That's clearly a bug in code I added, but I haven't been able to
reproduce it yet. There's a 32 bit Debian box on the GCC farm that I
tested this on, and there the tests works just fine, odd...